## com.bbn.openmap.omGraphics.editable
Class LineSetOffsetState

    java.lang.Object
      com.bbn.openmap.layer.util.stateMachine.State
          com.bbn.openmap.omGraphics.editable.GraphicSetOffsetState
              com.bbn.openmap.omGraphics.editable.LineSetOffsetState

All Implemented Interfaces:
  java.awt.event.ActionListener, java.awt.event.AdjustmentListener, java.awt.event.ComponentListener, java.awt.event.ContainerListener, EOMGAuxState, java.util.EventListener, java.awt.event.FocusListener, java.awt.event.ItemListener, java.awt.event.KeyListener, MapMouseListener, java.awt.event.TextListener, java.awt.event.WindowListener

public class LineSetOffsetState
extends GraphicSetOffsetState

Field Summary

Fields inherited from class com.bbn.openmap.omGraphics.editable.GraphicSetOffsetState
`graphic`

Fields inherited from class com.bbn.openmap.layer.util.stateMachine.State
`i18n`

Constructor Summary
`LineSetOffsetState(EditableOMLine eoml)`

Method Summary
`protected void` `setGrabPoint(java.awt.event.MouseEvent e)`

Methods inherited from class com.bbn.openmap.omGraphics.editable.GraphicSetOffsetState
`mouseDragged, mouseMoved, mouseReleased`

Methods inherited from class com.bbn.openmap.layer.util.stateMachine.State

`actionPerformed, adjustmentValueChanged, componentAdded, componentHidden, componentMoved, componentRemoved, componentResized, componentShown, focusGained, focusLost, getMapMouseListenerResponse, getMouseModeServiceList, itemStateChanged, keyPressed, keyReleased, keyTyped, mouseClicked, mouseEntered, mouseExited, mouseMoved, mousePressed, setMapMouseListenerResponse, textValueChanged, windowActivated, windowClosed, windowClosing, windowDeactivated, windowDeiconified, windowIconified, windowOpened`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### LineSetOffsetState

    public LineSetOffsetState(EditableOMLine eoml)

Method Detail

### setGrabPoint

    protected void setGrabPoint(java.awt.event.MouseEvent e)

  Overrides:
    `setGrabPoint` in class `GraphicSetOffsetState`

Copyright (C) BBNT Solutions LLC; See http://openmap.bbn.com/ for details